# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{glib2}
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["The Ruby-GNOME2 Proejct Team"]
  s.date = %q{2011-07-13}
  s.description = %q{Ruby/GLib2 is a Ruby binding of GLib-2.x.}
  s.email = %q{ruby-gnome2-devel-en@lists.sourceforge.net}
  s.extensions = ["ext/glib2/extconf.rb"]
  s.files = ["ChangeLog", "README", "Rakefile", "extconf.rb", "lib/gnome2-raketask.rb", "lib/gnome2-win32-binary-downloader.rb", "lib/glib2.rb", "lib/mkmf-gnome2.rb", "lib/glib-mkenums.rb", "ext/glib2/rbglib_timer.c", "ext/glib2/rbglib_completion.c", "ext/glib2/rbgobj_param.c", "ext/glib2/rbgobj_valuearray.c", "ext/glib2/rbglib_threads.c", "ext/glib2/rbgobj_value.c", "ext/glib2/rbglib_fileutils.c", "ext/glib2/rbglib.c", "ext/glib2/rbglib_iochannel.c", "ext/glib2/rbgobj_type.c", "ext/glib2/rbgobj_typeplugin.c", "ext/glib2/rbglib.h", "ext/glib2/rbgobj_convert.c", "ext/glib2/rbgobj_strv.c", "ext/glib2/rbglib_messages.c", "ext/glib2/rbgutil.c", "ext/glib2/rbglib_maincontext.c", "ext/glib2/rbgobj_object.c", "ext/glib2/rbgobj_typeinstance.c", "ext/glib2/rbglib_error.c", "ext/glib2/rbgobj_paramspecs.c", "ext/glib2/rbgutil_callback.c", "ext/glib2/rbgobj_typemodule.c", "ext/glib2/rbglib_utils.c", "ext/glib2/rbglib_mainloop.c", "ext/glib2/extconf.rb", "ext/glib2/rbgobj_enums.c", "ext/glib2/rbglib_win32.c", "ext/glib2/rbglib_int64.c", "ext/glib2/glib2.def", "ext/glib2/rbgobj_fundamental.c", "ext/glib2/rbgcompat.h", "ext/glib2/rbgobj_closure.c", "ext/glib2/rbgobject.c", "ext/glib2/rbgobj_boxed.c", "ext/glib2/rbglib_shell.c", "ext/glib2/rbgobject.h", "ext/glib2/rbgobj_typeinterface.c", "ext/glib2/rbglib_convert.c", "ext/glib2/rbglib_keyfile.c", "ext/glib2/rbgobj_valuetypes.c", "ext/glib2/rbglib_i18n.c", "ext/glib2/rbglib_unicode.c", "ext/glib2/depend", "ext/glib2/rbgprivate.h", "ext/glib2/rbglib_pollfd.c", "ext/glib2/rbgutil.h", "ext/glib2/rbglib_bookmarkfile.c", "ext/glib2/rbglib_source.c", "ext/glib2/rbgobj_signal.c", "ext/glib2/rbglib_spawn.c", "sample/timeout2.rb", "sample/completion.rb", "sample/utils.rb", "sample/timeout.rb", "sample/idle.rb", "sample/bookmarkfile.rb", "sample/keyfile.rb", "sample/shell.rb", "sample/timer.rb", "sample/iochannel.rb", "sample/type-register2.rb", "sample/spawn.rb", "sample/type-register.rb", "test/test_mkenums.rb", "test/test_enum.rb", "test/test_file_utils.rb", "test/test_key_file.rb", "test/glib-test-utils.rb", "test/run-test.rb", "test/test_win32.rb", "test/test_signal.rb", "test/test_glib2.rb", "test/test_timeout.rb", "test/test_utils.rb", "test/test_unicode.rb", "test/test_iochannel.rb", "test/glib-test-init.rb"]
  s.homepage = %q{http://ruby-gnome2.sourceforge.jp/}
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.5")
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Ruby/GLib2 is a Ruby binding of GLib-2.x.}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<pkg-config>, [">= 0"])
      s.add_development_dependency(%q<test-unit>, [">= 2"])
    else
      s.add_development_dependency(%q<pkg-config>, [">= 0"])
      s.add_dependency(%q<test-unit>, [">= 2"])
    end
  else
    s.add_development_dependency(%q<pkg-config>, [">= 0"])
    s.add_dependency(%q<test-unit>, [">= 2"])
  end
end
